AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.Util
ThreadClass Class
ThreadClass Constructor
ThreadClass Constructor
ThreadClass Constructor (String)
ThreadClass Constructor (ThreadStart)
ThreadClass Constructor (ThreadStart, String)

| ThreadClass Constructor (ThreadStart, String)

Initializes a new instance of the Thread class.

Namespace: AsterNET.Util
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public ThreadClass(
    	ThreadStart start,
    	string name
    )

    Public Sub New (
    	start As ThreadStart,
    	name As String
    )

    public:
    ThreadClass(
    	ThreadStart^ start,
    	String^ name
    )

    new :
            start : ThreadStart *
            name : string -> ThreadClass

#### Parameters

start
  Type: System.Threading
  ThreadStart
  A ThreadStart delegate that references the methods to be invoked when this thread begins executing
name
  Type: System
  String
  The name of the thread

See Also

#### Reference

ThreadClass Class
ThreadClass Overload
AsterNET.Util Namespace